Obtém a lista de relacionamentos de emprego por código da operação
curl --request GET \
--url https://api.example.com/api/services/app/EConsignado/ObterListaDeRelacionamentosimport requests
url = "https://api.example.com/api/services/app/EConsignado/ObterListaDeRelacionamentos"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/services/app/EConsignado/ObterListaDeRelacionamentos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/services/app/EConsignado/ObterListaDeRelacionamentos",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/services/app/EConsignado/ObterListaDeRelacionamentos"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/services/app/EConsignado/ObterListaDeRelacionamentos")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/services/app/EConsignado/ObterListaDeRelacionamentos")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"availableMarginAmount": 123,
"totalEarningsAmount": 123,
"marginBaseAmount": 123,
"registrationNumber": "<string>",
"startDate": "<string>",
"eligible": true,
"employerName": "<string>",
"employerRegistrationCode": 123,
"employerRegistrationNumber": "<string>",
"politicallyExposedPerson": 123,
"workerCategoryCode": 123,
"hireDate": "<string>"
}
]Consignado CLT
Obtém a lista de relacionamentos de emprego
GET
/
api
/
services
/
app
/
EConsignado
/
ObterListaDeRelacionamentos
Obtém a lista de relacionamentos de emprego por código da operação
curl --request GET \
--url https://api.example.com/api/services/app/EConsignado/ObterListaDeRelacionamentosimport requests
url = "https://api.example.com/api/services/app/EConsignado/ObterListaDeRelacionamentos"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/services/app/EConsignado/ObterListaDeRelacionamentos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/services/app/EConsignado/ObterListaDeRelacionamentos",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/services/app/EConsignado/ObterListaDeRelacionamentos"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/services/app/EConsignado/ObterListaDeRelacionamentos")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/services/app/EConsignado/ObterListaDeRelacionamentos")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"availableMarginAmount": 123,
"totalEarningsAmount": 123,
"marginBaseAmount": 123,
"registrationNumber": "<string>",
"startDate": "<string>",
"eligible": true,
"employerName": "<string>",
"employerRegistrationCode": 123,
"employerRegistrationNumber": "<string>",
"politicallyExposedPerson": 123,
"workerCategoryCode": 123,
"hireDate": "<string>"
}
]Retorna os vínculos de emprego (relacionamentos) do cliente autorizado, identificados
pelo
code da operação (retornado em
Solicitar autorização). Cada vínculo traz
sua matrícula (registrationNumber), escolha uma e use-a ao
Simular e Contratar.
Autentique-se antes (Autenticação). Requer a autorização (DataPrev) concluída.
curl "https://gateway.hubcred.com.br/external/v1/api/services/app/EConsignado/ObterListaDeRelacionamentos?code=ABC123" \
-H "Authorization: Bearer SEU_TOKEN"
Query Parameters
Código da operação (retornado em SolicitarAutorizacao)
Response
OK
Valor da margem disponível.
Valor total de rendimentos.
Valor da base da margem.
Número da matrícula.
Data de início.
Indica se é elegível para o produto.
Nome do empregador.
Código de registro do empregador.
Número de registro (CNPJ) do empregador.
Indica se é Pessoa Politicamente Exposta (PPE).
Código da categoria do trabalhador.
Data de contratação.